NameSpaceHelper
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.namespace
Class NameSpaceHelper

    java.lang.Object
      org.apache.ivy.plugins.namespace.NameSpaceHelper

    public final class NameSpaceHelper

extends java.lang.Object

Method Summary
`static DependencyDescriptor` | `toSystem(DependencyDescriptor dd, Namespace ns)`
`static ModuleDescriptor` | `toSystem(ModuleDescriptor md, Namespace ns)`
`static ResolvedModuleRevision` | `toSystem(ResolvedModuleRevision rmr, Namespace ns)`
`static ArtifactId` | `transform(ArtifactId artifactId, NamespaceTransformer t)`
`static Artifact` | `transform(Artifact artifact, NamespaceTransformer t)`
`static DependencyDescriptor` | `transform(DependencyDescriptor dd, NamespaceTransformer t, boolean fromSystem)`
`static MetadataArtifactDownloadReport` | `transform(MetadataArtifactDownloadReport report, NamespaceTransformer t)`
`static ModuleId` | `transform(ModuleId mid, NamespaceTransformer t)`
`static java.lang.String` | `transformOrganisation(java.lang.String org, NamespaceTransformer t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toSystem

    public static DependencyDescriptor toSystem(DependencyDescriptor dd,
                                                Namespace ns)

### transform

    public static DependencyDescriptor transform(DependencyDescriptor dd,
                                                 NamespaceTransformer t,
                                                 boolean fromSystem)

### toSystem

    public static ModuleDescriptor toSystem(ModuleDescriptor md,
                                            Namespace ns)

### toSystem

    public static ResolvedModuleRevision toSystem(ResolvedModuleRevision rmr,
                                                  Namespace ns)

### transform

    public static Artifact transform(Artifact artifact,
                                     NamespaceTransformer t)

### transform

    public static MetadataArtifactDownloadReport transform(MetadataArtifactDownloadReport report,
                                                           NamespaceTransformer t)

### transform

    public static ArtifactId transform(ArtifactId artifactId,
                                       NamespaceTransformer t)

### transform

    public static ModuleId transform(ModuleId mid,
                                     NamespaceTransformer t)

### transformOrganisation

    public static java.lang.String transformOrganisation(java.lang.String org,
                                                         NamespaceTransformer t)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD